Details

    • Docs QE Status:
      NEW

      Description

      Switch to downloading the cordova platforms from npm and as a consequence limit the downloadable platform versions to what is available on npm. The plan is to continue to support building applications for Cordova version>3.0.0 but when a developer wants to download a cordova platform using JBDS/JBT, only versions 3.5.0 and later will be available. Configuring a manually downloaded cordova platforms on JBDS will still be available.

      Around Cordova 3.5.0 time, Apache Cordova project switched to using npm for distributing cordova platforms. npm provides a much better infrastructure compared to the old way which is basically git archive mechanism. We already had cases where apache infrastructure was not available for maintenance. Also the lack of CDN does not help either. So I think JBDS should follow Apache Cordova and start using npm for downloading cordova platforms. Below are the list of relevant cordova platforms and version that are available today from npm.

      cordova-ios
      ['3.5.0', '3.6.0', '3.6.1', '3.6.3', '3.7.0', '3.8.0' ]
      cordova-android
      [ '3.5.0','3.5.1','3.6.0','3.6.1','3.6.3','3.6.4','3.7.0','3.7.1' ]
      cordova-wp8
      [ '3.5.0','3.6.0-dev','3.6.0','3.6.1','3.6.3','3.6.4','3.7.0-dev','3.7.0','3.7.1' ]

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                gercan Gorkem Ercan
                Reporter:
                gercan Gorkem Ercan
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: